Debian Bug report logs - #724801
ITP: youtube-cli -- command-line client for YouTube'

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Javier P.L." <chilicuil@ubuntu.com>

Date: Sat, 28 Sep 2013 05:33:02 UTC

Owned by: "Javier P.L." <chilicuil@ubuntu.com>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#724801; Package wnpp. (Sat, 28 Sep 2013 05:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Javier P.L." <chilicuil@ubuntu.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sat, 28 Sep 2013 05:33:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Javier P.L." <chilicuil@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: yt -- yt is a command-line front-end to YouTube
Date: Sat, 28 Sep 2013 00:28:48 -0500
Package: wnpp
Severity: wishlist
Owner: "Javier P.L." <chilicuil@ubuntu.com>

* Package name    : yt
  Version         : 2013.09.28
  Upstream Author : Rich Wareham <rjw57@cantab.net>
* URL             : https://github.com/rjw57/yt
* License         : MIT
  Programming Lang: Python
  Description     : yt is a command-line front-end to YouTube

yt is a command-line front-end to YouTube which allows you to browse
YouTube videos and play them directly from the command-line. It uses
youtube-dl and mplayer or omxplayer to actually play the videos



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Javier P.L." <chilicuil@ubuntu.com>:
Bug#724801; Package wnpp. (Sat, 28 Sep 2013 08:18:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Javier P.L." <chilicuil@ubuntu.com>. (Sat, 28 Sep 2013 08:18:14 GMT) Full text and rfc822 format available.

Message #10 received at 724801@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: "Javier P.L." <chilicuil@ubuntu.com>, 724801@bugs.debian.org
Subject: Re: Bug#724801: ITP: yt -- yt is a command-line front-end to YouTube
Date: Sat, 28 Sep 2013 10:06:05 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Sat, Sep 28, 2013 at 12:28:48AM -0500, Javier P.L. wrote:
> Package: wnpp
> Severity: wishlist
> Owner: "Javier P.L." <chilicuil@ubuntu.com>

Very cool, I wanted to write such a frontend myself recently and found
it blocked by the Google API Python bindings not being in Debian and me
not wanting to package it. On a first glance, yt does not need the API
bindings.

If you need a tester, please contact me.

-nik

-- 
# apt-assassinate --help
Usage: apt-assassinate [upstream|maintainer] <package>

PGP-Fingerprint: 3C9D 54A4 7575 C026 FB17  FD26 B79A 3C16 A0C4 F296
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#724801; Package wnpp. (Sat, 28 Sep 2013 08:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Javier P.L." <chilicuil@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 28 Sep 2013 08:48:09 GMT) Full text and rfc822 format available.

Message #15 received at 724801@bugs.debian.org (full text, mbox):

From: "Javier P.L." <chilicuil@ubuntu.com>
To: Dominik George <nik@naturalnet.de>
Cc: 724801@bugs.debian.org
Subject: Re: Bug#724801: ITP: yt -- yt is a command-line front-end to YouTube
Date: Sat, 28 Sep 2013 03:45:01 -0500
Hi,

Yeah, some test would be great, you can grab the .dsc package from:

    http://mentors.debian.net/package/yt

Or some precompiled .deb packages from:

    https://launchpad.net/~chilicuil/+archive/yt/+packages

The raw .deb package should give not big troubles...

Best regards

On 28/09/13 at 10:06am, Dominik George wrote:
> Hi,
> 
> On Sat, Sep 28, 2013 at 12:28:48AM -0500, Javier P.L. wrote:
> > Package: wnpp
> > Severity: wishlist
> > Owner: "Javier P.L." <chilicuil@ubuntu.com>
> 
> Very cool, I wanted to write such a frontend myself recently and found
> it blocked by the Google API Python bindings not being in Debian and me
> not wanting to package it. On a first glance, yt does not need the API
> bindings.
> 
> If you need a tester, please contact me.
> 
> -nik
> 
> -- 
> # apt-assassinate --help
> Usage: apt-assassinate [upstream|maintainer] <package>
> 
> PGP-Fingerprint: 3C9D 54A4 7575 C026 FB17  FD26 B79A 3C16 A0C4 F296





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Javier P.L." <chilicuil@ubuntu.com>:
Bug#724801; Package wnpp. (Sat, 28 Sep 2013 09:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Javier P.L." <chilicuil@ubuntu.com>. (Sat, 28 Sep 2013 09:45:04 GMT) Full text and rfc822 format available.

Message #20 received at 724801@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: "Javier P.L." <chilicuil@ubuntu.com>, 724801@bugs.debian.org
Subject: Re: Bug#724801: ITP: yt -- yt is a command-line front-end to YouTube
Date: Sat, 28 Sep 2013 11:44:10 +0200
On 28.09.2013 07:28, Javier P.L. wrote:
> Package: wnpp
> Severity: wishlist
> Owner: "Javier P.L." <chilicuil@ubuntu.com>
> 
> * Package name    : yt
>   Version         : 2013.09.28
>   Upstream Author : Rich Wareham <rjw57@cantab.net>
> * URL             : https://github.com/rjw57/yt
> * License         : MIT
>   Programming Lang: Python
>   Description     : yt is a command-line front-end to YouTube
> 
> yt is a command-line front-end to YouTube which allows you to browse
> YouTube videos and play them directly from the command-line. It uses
> youtube-dl and mplayer or omxplayer to actually play the videos
> 
> 

yt is an awfully generic name for such a specialized application.
can it be renamed e.g. youtube or something that is less likely to
create namespace conflicts?



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Javier P.L." <chilicuil@ubuntu.com>:
Bug#724801; Package wnpp. (Sat, 28 Sep 2013 11:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Javier P.L." <chilicuil@ubuntu.com>. (Sat, 28 Sep 2013 11:57:04 GMT) Full text and rfc822 format available.

Message #25 received at 724801@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: "Javier P.L." <chilicuil@ubuntu.com>
Cc: 724801@bugs.debian.org
Subject: Re: Bug#724801: ITP: yt -- yt is a command-line front-end to YouTube
Date: Sat, 28 Sep 2013 13:53:04 +0200
[Message part 1 (text/plain, inline)]
Hi,

the package has apperaed now. Here are my remarks, some have already
been mentioned, others are new. I have attached a patch that
incorporates the necessary changes.

 - Do not use only the date for your package version!
   If you package a git master, use a version that sorts just below any
   version number upstream might release in the future. Your version
   string 2013.09.28 will supersede any upstream tag, should upstream
   ever decide to introduce such. A good versioning scheme is
   0~yyyymmdd+gitxxxxxxxxxx, e.g. for your package
   0~20130928+git6e577736d0. You should remove the package from mentors
   completely and reupload.

 - omxplayer is not in Debian, so do not install the pi-yt script.

 - Install docs; NEWS.txt is renamed to CHANGELOG.txt to satisfy lintian.

 - Remove whitey egg-info.

 - Do not just tar up a git clone to create an orig tgz! Use a proper
   get-orig-source that repackages a Github snapshot. Once this is done,
   you jsut need to do this to create a new orig tgz, even for a new
   upstream version:
    dch -i # insert proper new upstream version, we cannot use uscan
           # here because we cannot really monitor upstream commits
    debian/rules get-orig-source # drops yt_<UPSTREAM-VERSION>.orig.tar.xz
                                 # in current directory
    # unpack and move your Debian directory
    # or use git-buildpackage

 - As setup.py clearly states Apache 2.0, putthat dual license choice in
   debian/copyright.

 - I added myself to debian/copyright for the rules file, and to Uploaders
   to justify the changelog entry. If you incorporate the changes and udpate
   the changelog yourself, you can remvoe Uploaders if you want.

The package is lintian-clean now, except for the missing watch file,
which is ok.

HTH,
Nik

-- 
Wer den Grünkohl nicht ehrt, ist der Mettwurst nicht wert!

PGP-Fingerprint: 3C9D 54A4 7575 C026 FB17  FD26 B79A 3C16 A0C4 F296
[yt-package-fixes.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Javier P.L." <chilicuil@ubuntu.com>:
Bug#724801; Package wnpp. (Sat, 28 Sep 2013 12:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Javier P.L." <chilicuil@ubuntu.com>. (Sat, 28 Sep 2013 12:00:05 GMT) Full text and rfc822 format available.

Message #30 received at 724801@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: "Javier P.L." <chilicuil@ubuntu.com>
Cc: 724801@bugs.debian.org
Subject: Re: Bug#724801: ITP: yt -- yt is a command-line front-end to YouTube
Date: Sat, 28 Sep 2013 13:56:01 +0200
[Message part 1 (text/plain, inline)]
Hi,

you might want to test get-orig-source to update to bee8fd44c0, which
incorporates a bugfix I committed upstream while testing your package ☺.

-nik

-- 
<burny> Ein Jabber-Account, sie alle zu finden; ins Dunkel zu treiben
        und ewig zu binden; im NaturalNet, wo die Schatten droh'n ;)!

PGP-Fingerprint: 3C9D 54A4 7575 C026 FB17  FD26 B79A 3C16 A0C4 F296
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Javier P.L." <chilicuil@ubuntu.com>:
Bug#724801; Package wnpp. (Sat, 28 Sep 2013 12:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Javier P.L." <chilicuil@ubuntu.com>. (Sat, 28 Sep 2013 12:27:04 GMT) Full text and rfc822 format available.

Message #35 received at 724801@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: "Javier P.L." <chilicuil@ubuntu.com>
Cc: 724801@bugs.debian.org
Subject: Re: Bug#724801: ITP: yt -- yt is a command-line front-end to YouTube
Date: Sat, 28 Sep 2013 14:23:56 +0200
[Message part 1 (text/plain, inline)]
Hi,

I'd also upgrade the Recommends to Depends. I do not see what use your
package could be without youtube-dl and mplayer. I'd also change it to:

 Depends: youtube-dl, mplayer2 | mplayer

Recommending mplayer2 is good, but having mplayer installed is
sufficient as well. Note that mplayer2 provides mplayer, so the
preceding mplayer2 prioritizes it if none is installed.

-nik

-- 
* concerning Mozilla code leaking assertion failures to tty without D-BUS *
<mirabilos> That means, D-BUS is a tool that makes software look better
            than it actually is.

PGP-Fingerprint: 3C9D 54A4 7575 C026 FB17  FD26 B79A 3C16 A0C4 F296
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Javier P.L." <chilicuil@ubuntu.com>:
Bug#724801; Package wnpp. (Sat, 28 Sep 2013 12:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Javier P.L." <chilicuil@ubuntu.com>. (Sat, 28 Sep 2013 12:57:09 GMT) Full text and rfc822 format available.

Message #40 received at 724801@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: "Javier P.L." <chilicuil@ubuntu.com>
Cc: 724801@bugs.debian.org
Subject: Re: Bug#724801: ITP: yt -- yt is a command-line front-end to YouTube
Date: Sat, 28 Sep 2013 14:53:37 +0200
[Message part 1 (text/plain, inline)]
Attached is a patch that renames all relevant parts to youtube-cli (why
didn't upstream stick with whitey, in the first place?) and implements
the Depends I suggested. You could use it for the new upstream version.
I am attaching all files relevant for the new upstream version.

The patch needs to be applied on top the debian directory resulting from
applying my last patch.

-nik

-- 
<Natureshadow> Auf welchem Server liegt das denn jetzt…?
<mirabilos> Wenn es nicht übers Netz kommt bei Hetzner, wenn es nicht
            gelesen wird bei STRATO, wenn es klappt bei manitu.

PGP-Fingerprint: 3C9D 54A4 7575 C026 FB17  FD26 B79A 3C16 A0C4 F296
[yt-rename-and-depends.patch (text/x-diff, attachment)]
[youtube-cli_0~20130928+gitbee8fd44c0.orig.tar.xz (application/octet-stream, attachment)]
[youtube-cli_0~20130928+gitbee8fd44c0-1.dsc (text/plain, attachment)]
[youtube-cli_0~20130928+gitbee8fd44c0-1.debian.tar.gz (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 724801: 724807 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Sat, 28 Sep 2013 16:27:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#724801; Package wnpp. (Sat, 28 Sep 2013 20:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Javier P.L." <chilicuil@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 28 Sep 2013 20:36:04 GMT) Full text and rfc822 format available.

Message #47 received at 724801@bugs.debian.org (full text, mbox):

From: "Javier P.L." <chilicuil@ubuntu.com>
To: Dominik George <nik@naturalnet.de>
Cc: 724801@bugs.debian.org
Subject: Re: Bug#724801: ITP: yt -- yt is a command-line front-end to YouTube
Date: Sat, 28 Sep 2013 15:32:48 -0500
Hello Dominik, 

You're awesome!, I've applied most of your changes:

- Do not use only the date for your package version!
   - I've applied your scheme, update it to bee8fd44c0

- omxplayer is not in Debian, so do not install the pi-yt script.
   - Applied

- Install docs; NEWS.txt is renamed to CHANGELOG.txt to satisfy lintian.
   - Applied

- Remove whitey egg-info.
   - Applied

- Do not just tar up a git clone to create an orig tgz! Use a proper
  get-orig-source that repackages a Github snapshot. Once this is done,
  you jsut need to do this to create a new orig tgz, even for a new
  upstream version:
   dch -i # insert proper new upstream version, we cannot use uscan
          # here because we cannot really monitor upstream commits
   debian/rules get-orig-source # drops yt_<UPSTREAM-VERSION>.orig.tar.xz
                                # in current directory
   # unpack and move your Debian directory
   # or use git-buildpackage

   - I had no idea how to this, I've learned and applied your changes

- As setup.py clearly states Apache 2.0, putthat dual license choice in
  debian/copyright.
    - Applied

- I added myself to debian/copyright for the rules file, and to Uploaders
  to justify the changelog entry. If you incorporate the changes and udpate
  the changelog yourself, you can remvoe Uploaders if you want.
    - Applied

 - I'd also upgrade the Recommends to Depends. I do not see what use your
ackage could be without youtube-dl and mplayer. I'd also change it to:
   Depends: youtube-dl, mplayer2 | mplayer

    - I've added mplayer2|mplayer to Depends, youtube-dl is still as Recommends
      the reason for this is that I've seen a lot of people downloading the youtube-dl
      script directly (including me), and I don't want to force them to use the debian
      youtube-dl package instead of his. People installing youtube-cli with the 
      --no-install-recommends option then can use his own youtube-dl version

- Attached is a patch that renames all relevant parts to youtube-cli
    - Applied

I've decided to keep README.source, it makes no harm and I've an awful memory, if I
don't write this down, I'll forget it. I'm still not very experimented with debian
packaging.

It still has missing the watch file, I'll keep a look at upstream to see if at some point
he decides to use tags, then I'll be able to create a watch file.

Best regards



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#724801; Package wnpp. (Sat, 28 Sep 2013 20:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Javier P.L." <chilicuil@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 28 Sep 2013 20:36:08 GMT) Full text and rfc822 format available.

Message #52 received at 724801@bugs.debian.org (full text, mbox):

From: "Javier P.L." <chilicuil@ubuntu.com>
To: Dominik George <nik@naturalnet.de>
Cc: 724801@bugs.debian.org
Subject: Re: Bug#724801: ITP: yt -- yt is a command-line front-end to YouTube
Date: Sat, 28 Sep 2013 15:33:21 -0500
The new package is at:

    http://mentors.debian.net/package/youtube-cli



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Javier P.L." <chilicuil@ubuntu.com>:
Bug#724801; Package wnpp. (Sat, 28 Sep 2013 20:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Javier P.L." <chilicuil@ubuntu.com>. (Sat, 28 Sep 2013 20:42:04 GMT) Full text and rfc822 format available.

Message #57 received at 724801@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: "Javier P.L." <chilicuil@ubuntu.com>
Cc: 724801@bugs.debian.org
Subject: Re: Bug#724801: ITP: yt -- yt is a command-line front-end to YouTube
Date: Sat, 28 Sep 2013 22:40:20 +0200
[Message part 1 (text/plain, inline)]
Hi,

>     - I've added mplayer2|mplayer to Depends, youtube-dl is still as Recommends
>       the reason for this is that I've seen a lot of people downloading the youtube-dl
>       script directly (including me), and I don't want to force them to use the debian
>       youtube-dl package instead of his. People installing youtube-cli with the 
>       --no-install-recommends option then can use his own youtube-dl version

People deciding to use local copies of programs that are in Debian is
clearly unsupported. I, and to my knowledge quite some other people,
have Install-Recommends disabled by default, and this will break your
package entirely. This said, youtube-cli *does* need youtube-dl. If
someone decides to use their own copy, they can also use equivs or
something. The Debian package system is about using Debian packages, and
that's what we expect our users to do.

> I've decided to keep README.source, it makes no harm and I've an awful
> memory, if I don't write this down, I'll forget it. I'm still not very
> experimented with debian packaging.

Please remember updating it to the get-orig-source method. The method
you describe in your original README.source is *invalid* as it creates a
wrong orig tarball (containing .git/ and everything). The only valid
method to fetch the source for your package now is debian/rules
get-orig-source.

-nik

-- 
<burny> Ein Jabber-Account, sie alle zu finden; ins Dunkel zu treiben
        und ewig zu binden; im NaturalNet, wo die Schatten droh'n ;)!

PGP-Fingerprint: 3C9D 54A4 7575 C026 FB17  FD26 B79A 3C16 A0C4 F296
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'youtube-cli -- command-line client for YouTube' from 'ITP: yt -- yt is a command-line front-end to YouTube' Request was from Dominik George <nik@naturalnet.de> to control@bugs.debian.org. (Sat, 28 Sep 2013 20:45:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Javier P.L." <chilicuil@ubuntu.com>:
Bug#724801; Package wnpp. (Sat, 28 Sep 2013 20:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Javier P.L." <chilicuil@ubuntu.com>. (Sat, 28 Sep 2013 20:54:05 GMT) Full text and rfc822 format available.

Message #64 received at 724801@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: "Javier P.L." <chilicuil@ubuntu.com>
Cc: 724801@bugs.debian.org
Subject: Re: Bug#724801: ITP: yt -- yt is a command-line front-end to YouTube
Date: Sat, 28 Sep 2013 22:51:19 +0200
[Message part 1 (text/plain, inline)]
Hi,

> The new package is at:
> 
>     http://mentors.debian.net/package/youtube-cli

I have reviewed it, and deemed the changes to README.source necessary.
Also, as explained above, your consideration for local copies of
youtube-dl contradict the Debian way.

Attached is a patch that finalizes your packaging work, I think you can
put up your package for sponsorship after applying it (if I were a DD, I
would not upload it if you did not apply the patch).

Fell free to mention my review if posting to debian-mentors. You can use
the template supplied by mentors and reportbug to file an RFS bug that
will also trigger mail to the list.

Cheers,
Nik

-- 
Wer den Grünkohl nicht ehrt, ist der Mettwurst nicht wert!

PGP-Fingerprint: 3C9D 54A4 7575 C026 FB17  FD26 B79A 3C16 A0C4 F296
[yt-finalize.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#724801; Package wnpp. (Sat, 28 Sep 2013 20:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Javier P.L." <chilicuil@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 28 Sep 2013 20:57:04 GMT) Full text and rfc822 format available.

Message #69 received at 724801@bugs.debian.org (full text, mbox):

From: "Javier P.L." <chilicuil@ubuntu.com>
To: Dominik George <nik@naturalnet.de>
Cc: 724801@bugs.debian.org
Subject: Re: Bug#724801: ITP: yt -- yt is a command-line front-end to YouTube
Date: Sat, 28 Sep 2013 15:52:51 -0500
Hi,

On 28/09/13 at 10:40pm, Dominik George wrote:
> Hi,
> 
> >     - I've added mplayer2|mplayer to Depends, youtube-dl is still as Recommends
> >       the reason for this is that I've seen a lot of people downloading the youtube-dl
> >       script directly (including me), and I don't want to force them to use the debian
> >       youtube-dl package instead of his. People installing youtube-cli with the 
> >       --no-install-recommends option then can use his own youtube-dl version
> 
> People deciding to use local copies of programs that are in Debian is
> clearly unsupported. I, and to my knowledge quite some other people,
> have Install-Recommends disabled by default, and this will break your
> package entirely. This said, youtube-cli *does* need youtube-dl. If
> someone decides to use their own copy, they can also use equivs or
> something. The Debian package system is about using Debian packages, and
> that's what we expect our users to do.

Thanks for your continue feedback, I've modified d/control to reflect the
proposal

> 
> > I've decided to keep README.source, it makes no harm and I've an awful
> > memory, if I don't write this down, I'll forget it. I'm still not very
> > experimented with debian packaging.
> 
> Please remember updating it to the get-orig-source method. The method
> you describe in your original README.source is *invalid* as it creates a
> wrong orig tarball (containing .git/ and everything). The only valid
> method to fetch the source for your package now is debian/rules
> get-orig-source.

I've update the README.source, it now makes reference to the get-orig-source
target. Any additional comment is welcome!

The new dsc file is at: http://mentors.debian.net/package/youtube-cli

> 
> -nik
> 
> -- 
> <burny> Ein Jabber-Account, sie alle zu finden; ins Dunkel zu treiben
>         und ewig zu binden; im NaturalNet, wo die Schatten droh'n ;)!
> 
> PGP-Fingerprint: 3C9D 54A4 7575 C026 FB17  FD26 B79A 3C16 A0C4 F296





Changed Bug title to 'ITP: youtube-cli -- command-line client for YouTube'' from 'youtube-cli -- command-line client for YouTube' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sat, 05 Oct 2013 17:09:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:46:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.